Subject: [mpls] P2MP RSVP-TE

From: "M. ELK" <[email-masked]>
Date: Wed, 16 Mar 2005 09:54:11 +0000

Hi

    Though about this simple (naive) approah , what do U think ??

    PE1-------P1--------P2-------P3---(toward PE2,PE3,PE4 )
                             !
                             !-----P4---(sub netw toward PE5,PE6,PE7)

    The ingress PE (PE1) will initiate a seperate RSVP-TE LSP to each Egress 
(PE2,...PE7).
    Total = 6 RSVP-TE .
    All the 6 RSVP-TE will have an extra properties (new object) which  
function
    as an indication that they belong to the same group . let us call it 
group-ID .
    let say that L1 to L6 are the label recieved at PE1 for the 6 LSP .
    PE1 will send RSVP Group-request  msg (new msg to be defined) to P1 , 
the
    msg contain the Group-ID .
    P1 will respond with Group-Rely msg with label "L7" .
    which mean if U send me a packet  with top label "L7" i will replicate  
it as
    if i recieved 6 packet with L1 to L6 as top label respectively .

    P1 could also send Group-request to P2 .
    P2 will reply with Group-reply with label 200 .
    Now ,P1 when recieve a packet with Top label 7 ,it will not replicate it
    just swap 7 with 200 and forward to P2.

    P2 will send to P3 and P4 a Group-Request MSG , P3 reply with label 300
and  P4 with label 400.
    when P2 recieve a label with 200 , it will be replicated as :
1) with top  label 300 to P3 .
and
2) with top label 400 to P4 .

    ..etc .

    the above considered ordered mode ,but independent mode is also possible
.
    ex: P2 will notice that their 3 LSP going through P3 have the same  
Group-ID
    so it could initiate a Group-Request msg .

    Let us say that PE1 in addition to sending a stream to the 6 PE's need
also at the same time to send another stream to PE2 and PE5 only  .

PE1 send a group-Request with the Group-ID but it contain the label L2
And L5 .
P1 will repy with Group-reply and label 10.
P1 will send a grou-request to P2 with label L2 and L5 (assume same
Label advertized by P3 ,just for simplicitly) ,P2 will reply with label 210 
.

P2 will not send group-request with label L2 to P3 neither a Group-Request
with Label L5 to P4 .as it is a branching point and the nbr of label is just 
1 .

For stream from PE1 to PE2 and PE5 , PE1 will send a packet with top label 
10 ,
P2 will swap label 10 with label 210 and forward to P3.
P3 will replicate the packet , one copy with label L2 toward P3 . other
Copy with label L5 to P4.

    The advantage :
    the same 6 LSP used to send to all the PE's or to any combination .
    the RSVP-TE protocol is not changed much, still it follow the rule of 
P2P
.
    the intermediate node do not get involved in the complexity of P2MP .

    Pls comments.

    Brgds

_________________________________________________________________
Don't just search. Find. Check out the new MSN Search! 
http://search.msn.click-url.com/go/onm00200636ave/direct/01/

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls